# List plans and credit packages GET https://api2.freecustom.email/v1/plans Public endpoint — no auth required. Returns all available plans and credit packages. Reference: https://docs.freecustom.email/free-custom-email-api/v-1/plans/list-plans-and-credit-packages ## OpenAPI Specification ```yaml openapi: 3.1.0 info: title: collection version: 1.0.0 paths: /v1/plans: get: operationId: list-plans-and-credit-packages summary: List plans and credit packages description: >- Public endpoint — no auth required. Returns all available plans and credit packages. tags: - subpackage_v1.subpackage_v1/plans parameters: - name: Authorization in: header description: Bearer authentication required: true schema: type: string responses: '200': description: OK content: application/json: schema: $ref: >- #/components/schemas/v1_plans_List plans and credit packages_Response_200 servers: - url: https://api2.freecustom.email components: schemas: V1PlansGetResponsesContentApplicationJsonSchemaDataPlansItemsFeatures: type: object properties: websocket: type: boolean attachments: type: boolean custom_domains: type: boolean otp_extraction: type: boolean max_ws_connections: type: integer max_attachment_size_mb: type: integer required: - websocket - attachments - custom_domains - otp_extraction - max_ws_connections - max_attachment_size_mb title: V1PlansGetResponsesContentApplicationJsonSchemaDataPlansItemsFeatures V1PlansGetResponsesContentApplicationJsonSchemaDataPlansItems: type: object properties: name: type: string label: type: string features: $ref: >- #/components/schemas/V1PlansGetResponsesContentApplicationJsonSchemaDataPlansItemsFeatures price_usd: type: integer requests_per_month: type: integer requests_per_second: type: integer required: - name - label - features - price_usd - requests_per_month - requests_per_second title: V1PlansGetResponsesContentApplicationJsonSchemaDataPlansItems V1PlansGetResponsesContentApplicationJsonSchemaDataCreditPackagesItems: type: object properties: label: type: string requests: type: integer price_usd: type: integer required: - label - requests - price_usd title: V1PlansGetResponsesContentApplicationJsonSchemaDataCreditPackagesItems V1PlansGetResponsesContentApplicationJsonSchemaData: type: object properties: plans: type: array items: $ref: >- #/components/schemas/V1PlansGetResponsesContentApplicationJsonSchemaDataPlansItems credit_packages: type: array items: $ref: >- #/components/schemas/V1PlansGetResponsesContentApplicationJsonSchemaDataCreditPackagesItems required: - plans - credit_packages title: V1PlansGetResponsesContentApplicationJsonSchemaData v1_plans_List plans and credit packages_Response_200: type: object properties: data: $ref: >- #/components/schemas/V1PlansGetResponsesContentApplicationJsonSchemaData success: type: boolean required: - data - success title: v1_plans_List plans and credit packages_Response_200 securitySchemes: bearerAuth: type: http scheme: bearer ``` ## SDK Code Examples ```python v1_plans_List plans and credit packages_example import requests url = "https://api2.freecustom.email/v1/plans" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript v1_plans_List plans and credit packages_example const url = 'https://api2.freecustom.email/v1/plans'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go v1_plans_List plans and credit packages_example package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api2.freecustom.email/v1/plans" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby v1_plans_List plans and credit packages_example require 'uri' require 'net/http' url = URI("https://api2.freecustom.email/v1/plans") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java v1_plans_List plans and credit packages_example import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api2.freecustom.email/v1/plans") .header("Authorization", "Bearer ") .asString(); ``` ```php v1_plans_List plans and credit packages_example request('GET', 'https://api2.freecustom.email/v1/plans', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp v1_plans_List plans and credit packages_example using RestSharp; var client = new RestClient("https://api2.freecustom.email/v1/plans"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift v1_plans_List plans and credit packages_example import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api2.freecustom.email/v1/plans")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```